hpp-corbaserver: hpp::constraints_impl::LockedJointServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::constraints_impl::LockedJointServant< _Base, _Storage > Class Template Reference

`#include <hpp/constraints_idl/constraints-fwd.hh>`

Inheritance diagram for hpp::constraints_impl::LockedJointServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::constraints_impl::LockedJointServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::constraints_impl::ImplicitServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::constraints_impl::ImplicitServant< _Base, _Storage >
typedef hpp::constraints::Implicit | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::constraints::Implicit, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::constraints_idl::LockedJoint, HppBase)
| LockedJointServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~LockedJointServant ()
char * | jointName ()
Public Member Functions inherited from hpp::constraints_impl::ImplicitServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::constraints_idl::Implicit, HppBase)
| ImplicitServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~ImplicitServant ()
hpp::constraints_idl::DifferentiableFunction_ptr | function ()
hpp::size_type | rightHandSideSize ()
hpp::size_type | parameterSize ()
hpp::floatSeq * | rightHandSideAt (hpp::value_type s)
hpp::ComparisonTypes_t * | getComparisonType ()
void | setComparisonType (const hpp::ComparisonTypes_t &compType)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::constraints::Implicit, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::constraints::Implicit, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::constraints::Implicit, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::constraints_impl::ImplicitServant<_Base, _Storage>::HppBase hpp::constraints_impl::LockedJointServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ LockedJointServant()

template<typename _Base , typename _Storage >

hpp::constraints_impl::LockedJointServant< _Base, _Storage >::LockedJointServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~LockedJointServant()

template<typename _Base , typename _Storage >

hpp::constraints_impl::LockedJointServant< _Base, _Storage >::~LockedJointServant
| virtual

## Member Function Documentation

## ◆ jointName()

template<typename _Base , typename _Storage >

char * hpp::constraints_impl::LockedJointServant< _Base, _Storage >::jointName

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::constraints_impl::LockedJointServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::constraints_idl::LockedJoint | ,
|  | HppBase |
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/constraints_idl/constraints-fwd.hh
- src/hpp/constraints_idl/constraints.hh